// CCESampleDlg.h : header file
//

#if !defined(AFX_CCESAMPLEDLG_H__F2F44B7B_0C5D_4473_98C7_9B388F55625D__INCLUDED_)
#define AFX_CCESAMPLEDLG_H__F2F44B7B_0C5D_4473_98C7_9B388F55625D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "colorbox.h"

/////////////////////////////////////////////////////////////////////////////
// CCCESampleDlg dialog

class CCCESampleDlg : public CDialog
{
// Construction
public:
	CCCESampleDlg(CWnd* pParent = NULL);	// standard constructor

	COLORREF m_color;
	GWCColorComponentSet m_compSet;

// Dialog Data
	//{{AFX_DATA(CCCESampleDlg)
	enum { IDD = IDD_CCESAMPLE_DIALOG };
	CColorBox	m_colorBox;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCCESampleDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	GWCColorComponentEditCtrl m_red;
	GWCColorComponentEditCtrl m_green;
	GWCColorComponentEditCtrl m_blue;
	GWCColorComponentEditCtrl m_hue;
	GWCColorComponentEditCtrl m_sat;
	GWCColorComponentEditCtrl m_light;

	// Generated message map functions
	//{{AFX_MSG(CCCESampleDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	//}}AFX_MSG
	afx_msg LRESULT OnColorCompChanged(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CCESAMPLEDLG_H__F2F44B7B_0C5D_4473_98C7_9B388F55625D__INCLUDED_)
